/**************************************************************
**
**         C SWING  v 3.5.4  21-SEP-1991 09:08:16.02
**         =========================================
**
**         Author    :  Mats Akerberg
**
**         Copyright :  Public Domain
**
**         File      :  SWING_39.C
**
**         Language  :  VAXC
**
**         Compiler  :  VAX/VMS C v 3.2
**
**         VMS Ver.  :  5.4
**
***************************************************************
**
**         Change History
**         ==============
**
**         Date        Change                          Initials
**         ----------------------------------------------------
**         21-SEP-1991 Initial Version v3.5.4               MA
**
**************************************************************/
 
/*
**  swing_39.c
**  Small hack to se if we are running on a suported termtype
*/
#include <stdio.h>
#include <jpidef.h>
#include <dvidef.h>
#include <ssdef.h>
#include <descrip.h>

typedef	 unsigned  long  ULONG;		/* for unsigned long integers	      */

extern	 ULONG	  LIB$GETJPI(),
		  LIB$GETDVI();

check_termtype(void)

{
	 ULONG	  status,		/* return code status holder	      */
		  master_pid;		/* parent process PID		      */
         short    out;                  /* True or false                      */
	 char	  term[8];		/* current process name array	      */
$DESCRIPTOR(term_d,term);		/* for getting terminal name	      */

   status = LIB$GETJPI(&JPI$_MASTER_PID,0,0,&master_pid,0,0); 

   if(!(status & SS$_NORMAL))
      LIB$STOP(status);

   status = LIB$GETJPI(&JPI$_TERMINAL,&master_pid,0,0,&term_d,0);

   if(!(status & SS$_NORMAL))
      LIB$STOP(status);

   status = LIB$GETDVI(&DVI$_TT_ANSICRT,0,&term_d,&out,0,0);

   if(!(status & SS$_NORMAL))
      LIB$STOP(status);
   status = (out & SS$_NORMAL);
   return(status);
}
